Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1169124 - Review Request: nodejs-domutils - Utilities for working with htmlparser2's dom
Summary: Review Request: nodejs-domutils - Utilities for working with htmlparser2's dom
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1271829 (view as bug list)
Depends On: 1169118
Blocks: nodejs-reviews Node-RED 1169137 1271795
TreeView+ depends on / blocked
 
Reported: 2014-11-30 14:05 UTC by Piotr Popieluch
Modified: 2016-10-21 08:13 UTC (History)
3 users (show)

Fixed In Version: nodejs-domutils-1.5.0-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-14 12:38:40 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2014-11-30 14:05:42 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-domutils.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-domutils-1.5.0-1.fc21.src.rpm
Description: Utilities for working with htmlparser2's dom
Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-06 15:10:47 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-domutils.noarch: W: spelling-error Summary(en_US) dom -> mod, dim, don
nodejs-domutils.noarch: W: spelling-error %description -l en_US dom -> mod, dim, don
nodejs-domutils.noarch: W: only-non-binary-in-usr-lib
nodejs-domutils.noarch: W: dangling-symlink /usr/lib/node_modules/domutils/node_modules/domelementtype /usr/lib/node_modules/domelementtype
nodejs-domutils.src: W: spelling-error Summary(en_US) dom -> mod, dim, don
nodejs-domutils.src: W: spelling-error %description -l en_US dom -> mod, dim, don
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball: d7c41dfdd698bcb0660b14804ace033dd93256c7112b394689d01843a582721b
upstream tarball:  d7c41dfdd698bcb0660b14804ace033dd93256c7112b394689d01843a582721b

- License is "BSD" and not "MIT"

+ License is included in its own LICENSE file.

+ follows nodejs packaging guidelines.

Suggestions:
1) Group is optional and required only for EL5

2) Fix license tag

Comment 3 Parag AN(पराग) 2014-12-06 17:00:20 UTC
Looks good now.

APPROVED.

Comment 4 Piotr Popieluch 2014-12-06 17:26:13 UTC
New Package SCM Request
=======================
Package Name: nodejs-domutils
Short Description: Utilities for working with htmlparser2's dom
Upstream URL: https://github.com/FB55/domutils
Owners: piotrp
Branches: f19 f20 f21 el6 epel7
InitialCC: piotrp

Comment 5 Gwyn Ciesla 2014-12-08 14:10:10 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-12-10 20:02:02 UTC
nodejs-domutils-1.5.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-domutils-1.5.0-2.fc21

Comment 7 Fedora Update System 2014-12-10 20:02:38 UTC
nodejs-domutils-1.5.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-domutils-1.5.0-2.fc20

Comment 8 Fedora Update System 2014-12-10 20:03:12 UTC
nodejs-domutils-1.5.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-domutils-1.5.0-2.fc19

Comment 9 Fedora Update System 2014-12-10 20:03:38 UTC
nodejs-domutils-1.5.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-domutils-1.5.0-2.el7

Comment 10 Fedora Update System 2014-12-11 06:30:58 UTC
nodejs-domutils-1.5.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 11 Piotr Popieluch 2014-12-14 12:38:40 UTC
Package built and in testing, closing bug.

Comment 12 Fedora Update System 2014-12-20 08:39:32 UTC
nodejs-domutils-1.5.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-12-20 08:41:27 UTC
nodejs-domutils-1.5.0-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2014-12-20 08:47:01 UTC
nodejs-domutils-1.5.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2014-12-26 19:47:50 UTC
nodejs-domutils-1.5.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 16 Jared Smith 2015-11-23 21:42:04 UTC
*** Bug 1271829 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.